Subject: [AVTCORE] FW: New Version Notification fordraft-vancaenegem-avtcore-retransmission-for-ssm-00.txt

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 26 May 2011 07:28:48 -0700

Hi everyone,

A new draft has been submitted to discuss retransmissions for SSM.
https://datatracker.ietf.org/doc/draft-vancaenegem-avtcore-retransmission-for-ssm/

We have been considering to put such a draft together for some time. Comments are welcome.

-acbegen

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, May 26, 2011 10:01 AM
To: Ali C. Begen (abegen)
Cc: [email-masked]; [email-masked]; Ali C. Begen (abegen)
Subject: New Version Notification fordraft-vancaenegem-avtcore-retransmission-for-ssm-00.txt

A new version of I-D, draft-vancaenegem-avtcore-retransmission-for-ssm-00.txt has been successfully submitted by Ali Begen and posted to the IETF repository.

Filename:	 draft-vancaenegem-avtcore-retransmission-for-ssm
Revision:	 00
Title:		 Retransmission for Source-Specific Multicast (SSM) Sessions
Creation date:	 2011-05-26
WG ID:		 Individual Submission
Number of pages: 25

Abstract:
   This document describes RTP retransmission for source-specific
   multicast (SSM) architectures with unicast feedback.  RTP payload
   format for retransmissions has been defined in RFC 4588, whereas the
   RTP profile an RTP receiver could use to issue RTP Control Protocol
   (RTCP) feedback messages and the format of these feedback messages
   have been defined in RFC 4585.  RFC 5760 defines the operation for
   SSM architectures with unicast feedback.

   First, we document potential issues that could arise when providing a
   retransmission service using RTP retransmission (RFC 4588 and RFC
   4585) for RFC 5760 architectures based on rules described in the
   relevant RFCs.  We then present solutions that allow to avoid
   unnecessary feedback suppression, provide enhanced retransmission
   services and address congestion control for retransmission in an SSM
   environment.  These solutions specify certain rules that apply to the
   distribution source, feedback target(s), retransmission source(s) and
   RTP receivers.

The IETF Secretariat